 <span class="boldtext">Uploading and Activating Your New Theme </span> 
<div class="indent"> 
  <p>There are several files included in the ZIP folder. These include wordpress theme files, plugin files, and photoshop files. To installed your wordpress theme you will first need to upload the theme/plugin files via FTP to your server. </p> 
  <p>First you are going to upload the theme folder. Inside the ZIP folder you downloaded you will see a folder named &quot;theme.&quot; Within it is a folder named &quot;Nova.&quot; Via ftp, upload the &quot;Nova&quot; folder to your Wordpress themes directory. Depending on where you installed Wordpress on your server, the wp themes folder will be located in a path similar to: /public_html/blog/wp-content/themes. </p> 
  <p>Next you need to select Nova and make it your default theme. Click on the design link, and under the themes tab locate Nova from the selection of themes and activate it. Your blog should now be updated with your new theme. </p> 
<p>Finally, once the theme has been activated, you should navigate to the Appearances > Nova Theme Options page. Here you can adjust settings pertaining to theme's display. Once you have adjusted whatever settings you would like to change click the "save" button. You must click the "save" button for the options to be saved to the database. Even if you did not change anything you should click the save button once before using the theme to insure that the database has been written correctly.</p> 
</div> 
<span class="boldtext">Adding Thumbnails Images To Posts </span> 
<div class="indent"> 
  <p>Nova utilizes a script called TimThumb to automatically resize images. Whenever you make a new post you will need to add a custom field. Scroll down below the text editor and click on the &quot;custom fields&quot; link. In the &quot;Name&quot; section, input &quot;Thumbnail&quot; (this is case sensitive). In the &quot;Value&quot; area, input the url to your thumbnail image. Your image will automatically be resized and cropped. The image must be hosted on your domain. (this is to protect against bandwidth left) </p> 
  <p><span class="style1">Important Note: You <u>must</u> CHMOD the &quot;cache&quot; folder located in the Nova directory to 777 for this script to work. You can CHMOD (change the permissions) of a file using your favorite FTP program. If you are confused try following <a href="http://www.siteground.com/tutorials/ftp/ftp_chmod.htm"><u>this tutorial</u></a><u>.</u> Of course instead of CHMODing the template folder (as in the tutorial) you would CHMOD the &quot;cache&quot; folder found within your theme's directory. </span></p> 
</div> 
<span class="boldtext">Adding Your Title/Logo Image</span> 
<div class="indent"> 
<p>In this theme the title/logo is an image, which means you will need an image editor to add your own text. You can do this by opening the blank logo image located at Photoshop Files/logo_blank.png, or by opening the logo PSD file located at Photoshop Files/logo.psd. Replace the edited logo with the old logo by placing it in the following directory: theme/Nova/images, and naming the file "logo.png". If you need more room, or would like to edit the logo further, you can always do so by opening the original fully layered PSD file located at Photoshop Files/Nova.psd</p>  </div> 
 
  <span class="boldtext">Configuring The Homepage Featured Slider </span> 
  <div class="indent"> 
  <p>The featured slider can be set up using two different methods. You can either populate the tabs using Pages, or you can populate it using posts from a designated category. In the Appearances > Nova Theme Options page in wp-admin, under the General Settings > Featured Slider tab, you will see an option that says "Use Pages." If you select this option then pages will be used, if you don't then posts will be used. If you want to use Pages then you simply select "Use Pages," and then below the option select which pages you would like to display in the slider. If you don't use pages, then simply select the "Featured Category" from the dropdown menu and posts from that category will be added to the slider. </p> 
<p>After you have chosen which posts/pages will be added to your slider you can adjust the content that appears in each slide via the custom write panels that have been added below the text editor. When your write your post, you will notice that some new options have been added below the text editor. When editing a page that is in your slider, select the "This page is Featured" checkbox. Doing so will reveal a new set of options that can be edited, all of which pertain to the various elements in the slider. Fill in these fields to edit the slide's title, tagline, image, button text and button destination URL. Furthermore, you can switch between 5 slide variations via the "Featured Slider" dropdown menu. </p> 
</div> 
 
  <span class="boldtext">Setting Up the Homepage Tabbed Content</span> 
  <div class="indent"> 
  <p>On the homepage, below the featured slider, is a tabbed content area. Each tab is populated by one of your pages. To choose which pages appear on the homepage as a tab, navigate to the Appearances > Nova Theme Options page in wp-admin and click on the General Settings > Homepage tab. Within this tab you will see a list of pages within a box titled "Show these pages on Homepage." Here you can select which pages appear. </p> 
<p>After you have selected which pages are to appear on the homepage, the next step is to configure the content of each tab. To do this, edit your page and look below the text editor for the "Use For Homepage Service Tab" option. Checking this box will reveal a new set of options that can be configured, all of which pertain to the tab on the homepage. Here you can adjust the tab title, subtitle, page title and the destination URL of the "read more" button. You can also turn a tab into a gallery of images. To do this simply select the category that you would like to pull the images from via the "Select portfolio categories" option. This will produce a gallery of images based off the Thumbnails that you have defined of each of the posts in each of the categories you select.</p> 
</div> 
 
<span class="boldtext">Managing Advertisements </span> 
<div class="indent">You can change the images used in each of the advertisements, as well as which URL each ad points to, through the custom option pages found in wp-admin. Once logged in to the wordpress admin panel, click &quot;Design&quot; and then &quot;Nova Theme Options&quot; to reveal the various theme options. You can also use the 125x125 advertisement widget by adding the ET: Advertisement widget to your sidebar, and filling in the required fields.  </div> 
 
<span class="boldtext">Using Sample Data to populate your first installation </span> 
<div class="indent"> 
<p>If you are starting from scratch, and installing Nova onto a WordPress blog that does not have any content yet (posts, pages, categories, etc), then you can choose to import our sample data file, which will populate your new WorPress blog with "dummy content." This dummy content is just a bunch of gibberish text, however, it will give you a good template to work with. Instead of following the above instructions, some people prefer to simply upload the sample data first, and then replace the dummy content with their own. To do this, you can use the Tools > Import feature in wp-admin to import the included sample data file. This sample data file comes with all themes, and is located in your theme folder here: sampledata/sample.xml. When performing the import procedure, be sure to check the "Import epanel settings" box.</p> 
</div> 
 
<span class="boldtext">Using Shortcodes - Create advanced layouts with ease</span> 
<div class="indent"> 
  <p>All of our themes come with a comprehensive collection of shortcodes. These shortcodes allow you to use pre-made design elements to create advanced page/post layouts without any HTML knowledge. When you install the theme, you will notice that some new buttons have been added to the WordPress text editor. Clicking these buttons will reveal options for adding shortcodes to your post. For complete shortcode documentation you can refer to the video on the left, as well as the following documentation page: <a href="http://www.elegantthemes.com/preview/TheProfessional/357-2/">http://www.elegantthemes.com/preview/TheProfessional/357-2/</a></p> 
</div> 